/*
  Programma:allarme_pir_HC-SR01.ino

  Il programma attiva un relè, accende un led e fa emettere un suono
  quando un corpo caldo è in movimento, grazie al sensore

  Creato da Adriano Gandolfo revisione 1.1 del 10/3/2019
  Sito web https://www.adrirobot.it
  Blog https://it.emcelettronica.com/author/adrirobot
  Pagina Facebook https://www.facebook.com/Adrirobot-318949048122955
  Istagram https://www.instagram.com/adrirobot/
  This example code is in the public domain.
*/

//Definizione dei PIN e variabili
int pirPin = 2;
int pinSpeaker = 3;
int pinRele = 4;
int ledPin = 13;
int pirVal = digitalRead(pirPin);

void setup() {
  Serial.begin(9600);
// Definizione pin
  pinMode(pirPin, INPUT);
  pinMode(pinSpeaker, OUTPUT);
  pinMode (pinRele, OUTPUT);
  pinMode(ledPin, OUTPUT);

  digitalWrite(pinRele, HIGH);

  Serial.println("Programma allarme con PIR");
  Serial.println("Pausa stabilizzazione sensore");
  tone(pinSpeaker, 1000, 500); //tone(pin, frequency, duration)
  delay (5000);
  Serial.println("Inizio controllo");
  tone(pinSpeaker, 500, 500);
}

void loop() {
  Serial.println("Lettura sensore PIR");
  digitalWrite(ledPin, 0);
  digitalWrite(pinRele, HIGH);
  delay(2000);
  if (pirVal == HIGH) {
    Serial.println("RILEVATO MOVIMENTO");
    digitalWrite(ledPin, HIGH);
    digitalWrite(pinRele, LOW);
    tone(pinSpeaker, 1000, 1000); //tone(pin, frequency, duration)
    delay(2000);
  }
}
